gUpdateViewMessage-class {MVCClass} | R Documentation

## Class "gUpdateViewMessage": A class to represent an update view message

### Description

gUpdateViewMessage is a class to represent an update view message. gUpdateViewMessage is inherited from the virtual class, gUpdateMessage. Whenever a gUpdateViewMessage is created (initialized), the next step is to call the handleMessage method to act upon that message and update the views.

### Objects from the Class

Objects can be created by calls of the form `new("gUpdateViewMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`type`:
  the type of update to be performed
`mData`:
  a list of the information needed to perform the update
`dataName`:
  the name of the data set that was updated (views are updated after the data set has been updated)

### Extends

Class `"gUpdateMessage"`, directly. Class `"gModifyMessage"`, by class `"gUpdateMessage"`. Class `"gMessage"`, by class `"gUpdateMessage"`.

### Methods

No methods defined with class "gUpdateViewMessage" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gUpdateDataMessage-class`, `gUpdateMessage-class`, `gMessage-class`

### Examples

[Package MVCClass version 1.10.0 Index]